CustomLogicalArrayAttribute Class

class NXOpen.Features.CustomLogicalArrayAttribute

Bases: NXOpen.Features.CustomAttribute

Represents a Features.CustomLogicalArrayAttribute class

An instance of this class can be obtained from NXOpen.Features.CustomAttributeCollection.CreateCustomLogicalArrayAttribute()

New in version NX11.0.0.

Properties

Property Description
Name Returns or sets the custom attribute name
TypeValue Returns the custom attribute type value

Methods

Method Description
AddProperty The custom attribute add property
Dispose Frees the memory associated with this object.
GetProperties The custom attribute get all properties
GetValues Get the logical values in the attribute
HasProperty The custom attribute does property exist on attribute
RemoveProperty The custom attribute remove property
SetValues Set the logical values in the attribute

Method Detail

GetValues

CustomLogicalArrayAttribute.GetValues

Get the logical values in the attribute

Signature GetValues()

Returns:
Return type:list of bool

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetValues

CustomLogicalArrayAttribute.SetValues

Set the logical values in the attribute

Signature SetValues(logicalValues)

Parameters:logicalValues (list of bool) –

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)